// @flow
import React from 'react';
import { storiesOf } from '@storybook/react';
import { withInfo } from '@storybook/addon-info';
import { ProgressBar } from './index';
import { configDocs } from '../../../../.storybook/config-docs';
import docs from './PROGRESS_BAR.mkd';

storiesOf('Core/Feedback UI/ProgressBar', module)
  .addDecorator(withInfo(configDocs(docs, ProgressBar)))
  .add('incomplete', () => <ProgressBar totalSteps={10} currentStep={2} />)
  .add('complete', () => <ProgressBar totalSteps={10} currentStep={10} />)
  .add('with error', () => (
    <ProgressBar error totalSteps={10} currentStep={6} />
  ));
